<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <!-- Масштаб страницы под экран устройства -->
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <title>{% block title %}Главная{% endblock %}</title>

    <!-- FavIcon -->
    <link rel="apple-touch-icon" sizes="57x57" href="{{ asset('img/favicon.ico') }}">
    <meta name="msapplication-TileColor" content="#ffffff">
    <meta name="msapplication-TileImage" content="{{ asset('img/favicon.ico') }}">
    <meta name="msapplication-tooltip" content="Магазин бытовой техники">

    <meta name="application-name" content="Магазин бытовой техники">
    <!-- /FavIcon -->

    <meta property="og:title" content="Магазин бытовой техники">
    <meta property="og:description" content="Магазин бытовой техники">

    <link rel="stylesheet" href="{{ asset('css/bootstrap.min.css') }}">
    <!-- Custom CSS -->
    <link rel="stylesheet" href="{{ asset('css/main.css') }}">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.0.13/css/all.css"
          integrity="sha384-DNOHZ68U8hZfKXOrtjWvjxusGo9WQnrNx2sqG0tfsghAvtVlRW3tvkXWZh58N9jp" crossorigin="anonymous">
    <link rel="stylesheet" href="{{ asset('css/jquery.fancybox.min.css') }}">
    {% block stylesheets %}{% endblock %}
</head>
<body class="d-flex flex-column h-100">

{% block header %}
    <header class="container">
        <nav class="navbar navbar-expand-lg navbar-light bg-light">
            <a class="navbar-brand" href="{{ path('index') }}">М</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
                    aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav mr-auto">
                    <li class="nav-item index">
                        <a class="nav-link" href="{{ path('index') }}">Главная</a>
                    </li>
                    {% if not is_granted('ROLE_ADMIN') %}
                        <li class="nav-item categories category_show"><a class="nav-link" href="{{ path('categories') }}">Категории</a></li>
                    {% endif %}
                    {% if is_granted('ROLE_ADMIN') %}
                        <li class="nav-item product_index product_show product_add product_edit"><a class="nav-link" href="{{ path('product_index') }}">Товары</a></li>
                        <li class="nav-item category_index category_add char_edit"><a class="nav-link" href="{{ path('category_index') }}">Категории</a></li>
                        <li class="nav-item char_index char_add char_edit"><a class="nav-link" href="{{ path('char_index') }}">Характеристика</a></li>
                        <li class="nav-item carchar_index carchar_add carchar_edit"><a class="nav-link" href="{{ path('carchar_index') }}">Катег.-характ.</a>
                        </li>
                        <li class="nav-item role_index role_add role_edit"><a class="nav-link" href="{{ path('role_index') }}">Управление ролями</a>
                        </li>
                    {% endif %}
                </ul>
{#                <form action="/" class="form-inline my-2 my-lg-0" style="margin-right: 10px;">#}
{#                    <input class="form-control mr-sm-2" type="search" placeholder="Поиск" aria-label="Search">#}
{#                    <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Поиск</button>#}
{#                </form>#}
                {% if is_granted('IS_AUTHENTICATED_FULLY') %}
                    <a href="{{ path('logout') }}" class="btn btn-outline-success my-2 my-sm-0" type="submit">Выйти</a>
                {% else %}
                    <a href="{{ path('login') }}" class="btn btn-outline-success my-2 my-sm-0" type="submit">Войти</a>
                {% endif %}
            </div>
        </nav>
    </header>
{% endblock %}
{% block home %}
    <main class="container">

        {% block body %}{% endblock %}

    </main>
{% endblock %}

{% block footer %}
    {#    {{ include('inc/footer.html.twig') }}#}
{% endblock %}


<!-- jQuery first, then Bootstrap JS -->
<script src="{{ asset('js/jquery-3.5.1.min.js') }}"></script>
<script src="{{ asset('js/popper.min.js') }}"></script>
<script src="{{ asset('js/bootstrap.min.js') }}"></script>
<script src="{{ asset('js/jquery.fancybox.min.js') }}"></script>
<script>
    try {
        $('.{{ app.request.attributes.get('_route') }}').addClass('active');
    } catch (e) {

    }
</script>
{% block javascripts %}{% endblock %}

</body>
</html>
